﻿<%@ Page Language="C#" %>

<%@ Register Assembly="Ektron.Cms.Controls" Namespace="Ektron.Cms.Controls" TagPrefix="CMS" %>

<!DOCTYPE html>

<script runat="server">
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Ektron.Cms.ObjectFactory.GetUser().IsLoggedIn)
        {
            string sAutoLoginName = "";
            string strUsername = "";
            string strDomain = "";
            sAutoLoginName = Convert.ToString(Request.ServerVariables["LOGON_USER"]);
            int i = 0;

            Ektron.Cms.UserAPI m_refUserApi = new Ektron.Cms.UserAPI();
            Ektron.Cms.UserData UserInfo = new Ektron.Cms.UserData();
            string[] arrSAMUsername;
            Ektron.Cms.DomainData[] domain_list;
            
            domain_list = m_refUserApi.GetDomains(1, 1);
            strUsername = sAutoLoginName.ToString();
            arrSAMUsername = strUsername.Split('\\');
            strUsername = arrSAMUsername[1];

            // search through the potential list of domains for the domain of interest.
            if ((!(domain_list == null)) && domain_list.Length > 0)
            {
                for (i = 0; i <= domain_list.Length - 1; i++)
                {
                    if (arrSAMUsername[0].ToString().ToLower() == domain_list[i].NETBIOSName.ToString().ToLower())
                    {
                        strDomain = (string)(domain_list[i].Path.ToString());
                        break;
                    }
                }
            }
            if (strDomain == "")
            {
                throw (new Exception("Invalid Domain"));
            }

            // Output data to verify the information being passed into the api method
            Response.Write("LOGON_USER: " + Request.ServerVariables["LOGON_USER"] + "</br>");
            Response.Write("SERVER_NAME: " + Request.ServerVariables["SERVER_NAME"] + "</br>");
            Response.Write("DOMAIN: " + strDomain + "</br>");
            Response.Write("username: " + strUsername + "</br>");
               
            //this api will log the user into system if the site is configured for sso.    
            UserInfo = m_refUserApi.autologInUser(strUsername, strDomain, Request.ServerVariables["SERVER_NAME"], Ektron.Cms.Common.EkEnumeration.AutoAddUserTypes.Author);

            if (UserInfo.Id > 0)
            {// On succesful login one must set the authentication cookie for ecm
                Response.Write("Logged In");
                m_refUserApi.SetAuthenticationCookie(UserInfo);
            }
        }
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <div>          
        </div>
    </form>
</body>
</html>
